about summary refs log tree commit diff
path: root/scripts/capsule.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/capsule.sh')
-rwxr-xr-xscripts/capsule.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/scripts/capsule.sh b/scripts/capsule.sh
new file mode 100755
index 0000000..946c38c
--- /dev/null
+++ b/scripts/capsule.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+set -e
+
+builddir=$1
+report_path=$2
+
+mkdir -p $report_path
+
+cd $builddir
+
+source $HOME/perl5/perlbrew/etc/bashrc
+
+for perl in $HOME/perl5/perlbrew/perls/perl-5.12.*
+do
+    theperl="$(basename $perl)"
+    perlbrew switch $theperl
+	hash -r
+
+    perlversion=$(perl -v)
+    logfile="$report_path/$theperl.txt"
+
+    perl Makefile.PL
+    make
+    HARNESS_VERBOSE=1 make test >> $logfile  2>&1
+done